/* Стили для главной страницы — табы и кастомные блоки */
:root :where(.wp-block-group-is-layout-constrained)>.tabs-content__item {
    margin-block-start: unset;
}

.book-external-link {
    width: 75%;
    flex: none;
    text-decoration: none;
}

.book-external-link:hover {
    text-decoration: underline;
}

.book-date {
    width: calc(25% - 1.6rem);
    word-break: break-all;
    white-space: normal;
    text-align: right;
}

.tabs-content {
    position: relative;
}

.tabs-content__item {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: -1;
    width: 100%;
    opacity: 0;
    visibility: hidden;
    -webkit-transition: opacity 0.3s;
    transition: opacity 0.3s;
}

.tabs-content__item.active {
    position: relative;
    z-index: 5;
    opacity: 1;
    visibility: visible;
}

.wp-block-buttons>.js-tab-btn {
    display: flex;
}

.js-tab-btn {
    border-radius: 100px;
    border-width: 0;
    text-decoration: none;

}

.js-tab-btn>a {
    background: transparent none;
    border-color: currentColor;
    border-width: 2px;
    border-style: solid;
    color: currentColor;
    padding-top: 0.667em;
    padding-right: 1.33em;
    padding-bottom: 0.667em;
    padding-left: 1.33em;
    border-radius: 9999px;
    box-shadow: none;
    padding: calc(.667em + 2px) calc(1.333em + 2px);
    text-decoration: none;

}

.js-tab-btn.active>.wp-block-button__link {
    border-color: var(--wp--preset--color--foreground);
    background-color: var(--wp--preset--color--foreground);
    /* border-width: 0; */
    color: var(--wp--preset--color--background);
    font-family: var(--wp--preset--font-family--default-sans);
    font-size: var(--wp--preset--font-size--small);
    font-weight: 600;
    line-height: var(--wp--custom--typography--line-height--headings);
    padding: calc(0.667em + 2px) calc(1.333em + 2px);
    text-decoration: none;
}

/* Polylang language switcher */
.wp-block-navigation .has-child:not(.open-on-click):hover>.wp-block-navigation__submenu-container {
    min-width: 40px;
}

.wp-block-polylang-navigation-language-switcher .wp-block-navigation-item__content .wp-block-navigation-item__label {
    display: none;
}

.wp-block-polylang-navigation-language-switcher .wp-block-navigation-item__content::before {
    display: inline-block;
}

.wp-block-polylang-navigation-language-switcher .wp-block-navigation-item__content[lang="en-GB"]::before {
    content: 'EN';
}

.wp-block-polylang-navigation-language-switcher .wp-block-navigation-item__content[lang="ru-RU"]::before {
    content: 'RU';
}

.wp-block-post-date>.book-date {
    font-weight: 700;
}

/* Media queries */
@media (max-width: 599.98px) {
    .is-menu-open .wp-block-navigation__submenu-container.lang-item.current-lang.wp-block-polylang-navigation-language-switcher {
        padding-top: 15px;
        padding-inline: unset;
    }

    .wp-block-polylang-navigation-language-switcher a.wp-block-navigation-item__content {
        text-decoration: underline;
    }

    .wp-block-polylang-navigation-language-switcher .wp-block-navigation-item.lang-item.current-lang.wp-block-navigation-link {
        display: none;
    }

    .wp-block-polylang-navigation-language-switcher .wp-block-navigation-item.lang-item.wp-block-navigation-link a {
        text-decoration: none;
    }

    .book-external-link {
        width: 70%;
    }

    .book-date {
        width: calc(30% - 1.6rem);
    }
}

@media (max-width: 479.98px) {
    .book-external-link {
        width: 65%;
    }

    .book-date {
        width: calc(35% - 1.6rem);
    }
}

@media (max-width: 413.98px) {
    .book-external-link {
        width: 60%;
    }

    .book-date {
        width: calc(40% - 1.6rem);
    }
}

@media (max-width: 359.98px) {
    .book-external-link {
        width: 55%;
    }

    .book-date {
        width: calc(45% - 1.6rem);
    }
}